Page MenuHomePhabricator

Graduate New Filters on Recent Changes out of beta on all wikis without "Hide reviewed edits" filter (shown on some FlaggedRevs wikis)
Closed, ResolvedPublic

Description

The main phase of graduating New Filters out of beta on RC page (scheduled for 2017/10/5) will include all wikis not on this list P6067.

(T177444 describes the task of graduating the remaining, Flagged Revision wikis out of beta.)

Event Timeline

Change 378265 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable structured change filters by default on all wikis except those with FlaggedRevs protection

https://gerrit.wikimedia.org/r/378265

As mentioned, P6067 is a list of wikis with the "Hide reviewed edits" filter (part of FlaggedRevs).

However, not all FlaggedRevs wikis have that filter.

The patch also needs to be updated.

Mattflaschen-WMF renamed this task from Graduate New Filters on Recent Changes out of beta on all NON-Flagged Revision wikis to Graduate New Filters on Recent Changes out of beta on all wikis without "Hide reviewed edits" filter (shown on some FlaggedRevs wikis).Oct 5 2017, 9:30 AM

Change 378265 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable structured change filters by default on all wikis except FlaggedRevs wikis using non-protection modes

https://gerrit.wikimedia.org/r/378265

Mentioned in SAL (#wikimedia-operations) [2017-10-05T18:26:31Z] <thcipriani@tin> Synchronized wmf-config: SWAT: [[gerrit:378265|Enable structured change filters by default on all wikis except FlaggedRevs wikis using non-protection modes]] T177445 (duration: 00m 54s)

jmatazzoni closed this task as Resolved.Oct 10 2017, 5:40 PM

Mentioned in SAL (#wikimedia-operations) [2017-11-15T19:14:13Z] <catrope@tin> Synchronized wmf-config/flaggedrevs.php: Enable RCFilters on all remaining wikis (T177445) (duration: 00m 49s)